commons-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From sebb <seb...@gmail.com>
Subject Re: Which Apache Commons that are supported by JDK 1.6 ??
Date Thu, 17 Dec 2009 18:25:39 GMT
On 17/12/2009, Jan Galinski <jangal74@googlemail.com> wrote:
> > Does the following jars files supported by JDK 1.6 ?
>  >
>  > commons-codec-1.3.jar
>  > commons-collections-3.1.jar
>  > commons-httpclient-2.0.2.jar
>  > commons-logging-api.jar
>  > commons-logging.jar
>  > commons-pool-1.2.jar
>

Note that all of the above jars have been updated with more recent versions.

> All of them if you mean "usable", since java is backward-compatible.
>  None, if you mean "support advanced language features", since commons
>  still rely on 1.4

Some commons projects require only 1.2 - e.g. commons-logging.

Others have recently moved to 1.5+ (but none in the above list).

Check the various commons web-sites for details. The JVM requirements
will be on the home page, download page and/or release notes.

All recent commons jar files include details of the source and target
Java versions as entries in the META_INF/MANIFEST.MF file, for example
commons-logging-1.1.1.jar has:

X-Compile-Source-JDK: 1.2
X-Compile-Target-JDK: 1.2

>
>  Jan
>
>
>  ---------------------------------------------------------------------
>  To unsubscribe, e-mail: user-unsubscribe@commons.apache.org
>  For additional commands, e-mail: user-help@commons.apache.org
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: user-unsubscribe@commons.apache.org
For additional commands, e-mail: user-help@commons.apache.org


Mime
View raw message